import logging

from html2text import html2text

from django.conf import settings
from django.core.mail import send_mail


logger = logging.getLogger(__name__)


def send_agenda_mail(meeting):
    date = meeting.event_start.date().strftime("%d.%m.%Y")
    time = meeting.event_start.time()
    agenda = html2text(meeting.agenda_html)

    msg = (
        "Liebe Alle,\n\n"
        "wir haben am " + str(date) + " um " + str(time) + " wieder eine FET-Sitzung.\n"
        "du hast noch bis morgen "
        + str(time)
        + " Zeit, weitere Themen auf die Agenda zu schreiben: "
        + settings.HOST_NAME
        + "/posts/"
        + str(meeting.slug)
        + ".\n\n"
        "Die aktuelle Agenda ist: \n\n" + agenda + "\n\n"
        "LG deine FET"
    )

    if send_mail(
        subject="Test - Agenda der FET Sitzung von " + str(date),
        message=msg,
        from_email="service@fet.at",
        recipient_list=["patrick@fet.at"],
    ):
        logger.info(f"Mail für die Agenda {meeting.slug} wurde gesendet.")
    else:
        logger.info(f"Mail für die Agenda {meeting.slug} wurde nicht gesendet.")
